Manjaro XFCE Edition
   748

Помогите исправить ошибку: Kernel panic - not syncing: Fatal exception in interrupt

**РЕШЕНО (см. в конец)**


Во время установки Manjaro XFCE на виртуальную машину каждый раз получаю такую ошибку (Kernel panic — not syncing: Fatal exception in interrupt).

Информация о моей системе (ноутбук):
  • Процессор — AMD Ryzen 5 3550H with Radeon Vega Mobile Gfx
  • Видеоадаптер1(встроенная) — AMD Radeon(TM) Vega 8 Graphics
  • Видеоадаптер2(дискретная) — NVIDIA GeForce GTX 1650
  • Оперативная память — 8 гб
  • Тип системы — 64-разрядная операционная система, процессор x64

Мои попытки:
Наткнулся на это решение. Там говорят, что проблема в драйверах и нужно загрузиться с дополнительными параметрами grub:
blacklist=nouveau modprobe.blacklist-nouveau

или просто:
nomodeset


Не зная куда, я пробовал в разные места вписывать эти параметры, но это не решило проблему — по всей видимости я это делал не туда, куда надо. Или это не то что мне вообще надо?

Решение:
  1. Установил более старую версию Manjaro
  2. Обновился двумя командами:
    pacman-mirrors -f 5 && pacman -Syyu
    и
    update-grub
  3. Вышел
    sync && exit
  4. Установил поддерживаемое ядро Linux'а (в Manjaro Settings Manager) и поставил как основное
  5. Перезапустил систему.

Manjaro XFCE Edition: Скриншот ошибки

5 комментариев

avatar
Во время установки Manjaro XFCE на виртуальную машину каждый раз получаю такую ошибку
можно подробнее, вы не можете загрузиться из образа или такая ошибка появляется уже при загрузке после установки?
пробовали другой образ, например предыдущий релиз или другое ДЕ?
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
+1
avatar
Да, вы правы, я не могу загрузиться из образа, потому-что на пути стоит эта ошибка.

Ошибка у меня возникает на самом новом стабильном образе manjaro-xfce-21.0-210318-linux510
Я попробовал образ на одну версию старше manjaro-xfce-20.0-200426-linux56 и на нем проблем не возникает

В любом случае, пользоваться более старой версией операционной системы — не решение, мне же придется рано или поздно обновляться до новой версии ядра, где я опять столкнусь этой неприятностью.
Последний раз редактировалось
0
avatar
пользоваться более старой версией операционной системы — не решение
решение, только не пользоваться старой версией, а совершить установку из более старого образа.
и еще момент, вы ж на виртуалке ее пробуете, на железе система может вести себя совершенно иначе.
мне же придется рано или поздно обновляться до новой версии ядра, где я опять столкнусь этой неприятностью.
совсем не факт, после установки системы, естественно первым делом надо обновиться, а дальше будет видно, ошибки, которые возникают при загрузке с флешки не часто проявляются на уже рабочей системе. пробуйте
Последний раз редактировалось
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
+1
avatar
Покажите grub.cfg через какую нибудь пасту.
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.